/*
 *  Copyright  2003 Matthias Gall.  All Rights Reserved.
 *
 *  Questions and comments to:
 *       <mailto:matthias@sechsta-sinn.de>
 *       <http://www.sechsta-sinn.de/>
 */

#include "GSGame.h"
#include <SDL.h>

// ---------------------------------------------------------------------------
CGSGame::CGSGame( CGameManager* pGameManager )
:	IGameState( pGameManager )
{
}

// ---------------------------------------------------------------------------
CGSGame::~CGSGame()
{
}

// ---------------------------------------------------------------------------
void CGSGame::Enter()
{
	m_clStarfield.Initialize();
}

// ---------------------------------------------------------------------------
void CGSGame::Idle( DWORD dwDeltaTime )
{
	m_clStarfield.Idle( dwDeltaTime );
}

// ---------------------------------------------------------------------------
void CGSGame::Leave()
{
}