/*
 *  Copyright  2003 Matthias Gall.  All Rights Reserved.
 *
 *  Questions and comments to:
 *       <mailto:matthias@sechsta-sinn.de>
 *       <http://www.sechsta-sinn.de/>
 */

#ifndef GAMESTATE_H
#define GAMESTATE_H

#include "Types.h"

class CGameManager;

class IGameState
{
public:
	IGameState(CGameManager* pGameManager) : m_pGameManager(pGameManager) {};

	virtual void Enter() = 0;
	virtual void Idle(DWORD dwDeltaTime) = 0;
	virtual void Leave() = 0;

protected:
	CGameManager* m_pGameManager;
};

#endif