/*
 *  Copyright  2003 Matthias Gall.  All Rights Reserved.
 *
 *  Questions and comments to:
 *       <mailto:matthias@sechsta-sinn.de>
 *       <http://www.sechsta-sinn.de/>
 */

#ifndef GAMESTATEFACTORY_H
#define GAMESTATEFACTORY_H

// ---------------------------------------------------------------------------
#include "GameState.h"

// ---------------------------------------------------------------------------
class CGameStateFactory
{
public:
	enum eGameState
	{
		GS_UNDEFINED,
		GS_GAME
	};

	static IGameState* Create( eGameState eGS, CGameManager* pGameManager );
};

#endif