/*
 *  Copyright  2003 Matthias Gall.  All Rights Reserved.
 *
 *  Questions and comments to:
 *       <mailto:matthias@sechsta-sinn.de>
 *       <http://www.sechsta-sinn.de/>
 */

#ifndef STARFIELD_H
#define STARFIELD_H

// ---------------------------------------------------------------------------
#include "Types.h"

// ---------------------------------------------------------------------------
class CStarfield
{
public:
	CStarfield();

	void Initialize();
	void Idle( DWORD dwDeltaTime );

	void SetSpeed( const float fSpeed );
	float GetSpeed() const;

private:
	struct TStar
	{
		float m_fX;
		float m_fY;
		float m_fZ;
	};

	enum
	{
		NUM_STARS		= 1000
	};

	TStar m_aclStars[ NUM_STARS ];
	float m_fSpeed;
};

#endif