/*
 *  Copyright  2003 Matthias Gall.  All Rights Reserved.
 *
 *  Questions and comments to:
 *       <mailto:matthias@sechsta-sinn.de>
 *       <http://www.sechsta-sinn.de/>
 */

#ifndef GSGAME_H
#define GSGAME_H

// ---------------------------------------------------------------------------
#include "Types.h"
#include "GameState.h"
#include <objects/Starfield.h>

// ---------------------------------------------------------------------------
class CGameManager;

// ---------------------------------------------------------------------------
class CGSGame : public IGameState
{
public:
	CGSGame( CGameManager* pGameManager );
	~CGSGame();

	void Enter();
	void Idle( DWORD dwDeltaTime );
	void Leave();

private:
	CStarfield m_clStarfield;
};

#endif