/*
 *  Copyright  2003 Matthias Gall.  All Rights Reserved.
 *
 *  Questions and comments to:
 *       <mailto:matthias@sechsta-sinn.de>
 *       <http://www.sechsta-sinn.de/>
 */

#include "GameStateFactory.h"
#include "GameManager.h"
#include "GSGame.h"

// ---------------------------------------------------------------------------
IGameState* CGameStateFactory::Create( eGameState eGS, CGameManager* pGameManager )
{
	switch( eGS )
	{
	case GS_GAME:
		return new CGSGame( pGameManager );
	}

	return 0;
}